GNU bug report logs - #36245
GNUmakefile mode colors vs. colons in shell lines

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: 積丹尼 Dan Jacobson <jidanni@HIDDEN>; Keywords: confirmed; merged with #17400, #33681, #33900, #35299, #37934, #45037, #46052, #46221, #48052; dated Sun, 16 Jun 2019 14:29:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 17400 33681 33900 35299 36245 37934 45037 46052 46221 48052. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 17400 33681 33900 35299 36245 45037 46052 46221. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 17400 33681 33900 35299 36245 45037 46052. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 17400 33681 33900 35299 36245 45037. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 36245 <at> debbugs.gnu.org:


Received: (at 36245) by debbugs.gnu.org; 16 Jun 2019 22:05:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 16 18:05:45 2019
Received: from localhost ([127.0.0.1]:41620 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hcdHU-0000YZ-Ph
	for submit <at> debbugs.gnu.org; Sun, 16 Jun 2019 18:05:44 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38069)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1hcdHT-0000YO-IH
 for 36245 <at> debbugs.gnu.org; Sun, 16 Jun 2019 18:05:43 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35496)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1hcdHM-00032i-VP; Sun, 16 Jun 2019 18:05:38 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1hcdHI-0007w3-Oa; Sun, 16 Jun 2019 18:05:32 -0400
From: Glenn Morris <rgm@HIDDEN>
To: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
Subject: Re: bug#36245: GNUmakefile mode colors vs. colons in shell lines
References: <87tvcpfvu5.5.fsf@HIDDEN>
X-Spook: Drug Administration Bosnia Pine Gap Blizzard Rule Psix
X-Ran: FBgFfRVeUMHrDbpcO4"I!]@@*nkA{uLAB*([(;-ZWH@7/uIO#Ypdq`3?3$x(PFj$$761Ym
X-Hue: brightyellow
X-Attribution: GM
Date: Sun, 16 Jun 2019 18:05:32 -0400
In-Reply-To: <87tvcpfvu5.5.fsf@HIDDEN> (=?utf-8?B?IuepjeS4ueWwvA==?=
 Dan Jacobson"'s message of "Sun, 16 Jun 2019 22:28:34 +0800")
Message-ID: <kofto9jidv.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36245
Cc: 36245 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


This is the fifth time you've reported this, four in the past six months.
Please stop with the low effort reports.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36245; Package emacs. Full text available.
Forcibly Merged 17400 33681 33900 35299 36245. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Jun 2019 14:28:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 16 10:28:59 2019
Received: from localhost ([127.0.0.1]:41228 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hcW9T-0000Op-Ka
	for submit <at> debbugs.gnu.org; Sun, 16 Jun 2019 10:28:59 -0400
Received: from lists.gnu.org ([209.51.188.17]:38523)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1hcW9S-0000Oh-GP
 for submit <at> debbugs.gnu.org; Sun, 16 Jun 2019 10:28:59 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36296)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <jidanni@HIDDEN>) id 1hcW9R-00058C-CT
 for bug-gnu-emacs@HIDDEN; Sun, 16 Jun 2019 10:28:58 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FROM_EXCESS_BASE64,
 RCVD_IN_DNSWL_NONE,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jidanni@HIDDEN>) id 1hcW9Q-0002Gs-8k
 for bug-gnu-emacs@HIDDEN; Sun, 16 Jun 2019 10:28:57 -0400
Received: from fossa.birch.relay.mailchannels.net ([23.83.209.62]:7787)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jidanni@HIDDEN>) id 1hcW9O-00021m-Q5
 for bug-gnu-emacs@HIDDEN; Sun, 16 Jun 2019 10:28:56 -0400
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id DFDF050152F
 for <bug-gnu-emacs@HIDDEN>; Sun, 16 Jun 2019 14:28:42 +0000 (UTC)
Received: from pdx1-sub0-mail-a76.g.dreamhost.com
 (100-96-4-95.trex.outbound.svc.cluster.local [100.96.4.95])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 5C6B25014CF
 for <bug-gnu-emacs@HIDDEN>; Sun, 16 Jun 2019 14:28:42 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a76.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.17.2); Sun, 16 Jun 2019 14:28:42 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Imminent-White: 7b0a8e4e276e9f79_1560695322657_1488063031
X-MC-Loop-Signature: 1560695322657:905505759
X-MC-Ingress-Time: 1560695322657
Received: from pdx1-sub0-mail-a76.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a76.g.dreamhost.com (Postfix) with ESMTP id 6576E80714
 for <bug-gnu-emacs@HIDDEN>; Sun, 16 Jun 2019 07:28:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to
 :subject:date:message-id:mime-version:content-type; s=
 jidanni.org; bh=2wx2X6zc7ZHAIHv6QX9WPsYrfW0=; b=DPf0yT2lYNmyySnE
 WBTHP0iUBbWPNGCtjfIkciJ5TSfRwVANBNpwkoSAIL87w+2uU8Vx1mD2j52Nr6Af
 xFNnFr3C4gIdS81zHqnQpAv8FLcRXGTZ4boA9Vas2ajq7GY4pM+XJMBuhPpfteVO
 qJj2jlFVImdw/egPOFsQMw9uuiM=
Received: from jidanni.org (114-41-25-125.dynamic-ip.hinet.net [114.41.25.125])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a76.g.dreamhost.com (Postfix) with ESMTPSA id E103780719
 for <bug-gnu-emacs@HIDDEN>; Sun, 16 Jun 2019 07:28:37 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a76
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: GNUmakefile mode colors vs. colons in shell lines
Date: Sun, 16 Jun 2019 22:28:34 +0800
Message-ID: <87tvcpfvu5.5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: 0
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgeduuddrudeihedgkeduucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucenucfjughrpefhvffufffkgggtsehttdertddttdejnecuhfhrohhmpejnnjjnucffrghnucflrggtohgsshhonhcuoehjihgurghnnhhisehjihgurghnnhhirdhorhhgqeenucfkphepuddugedrgedurddvhedruddvheenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepjhhiuggrnhhnihdrohhrghdpihhnvghtpeduudegrdeguddrvdehrdduvdehpdhrvghtuhhrnhdqphgrthhhpeeprehuthhfqdekreeureehiehmpfehnfhiheehsgevkeerpecuffgrnhculfgrtghosghsohhnuceojhhiuggrnhhnihesjhhiuggrnhhnihdrohhrgheqpdhmrghilhhfrhhomhepjhhiuggrnhhnihesjhhiuggrnhhnihdrohhrghdpnhhrtghpthhtohepsghughdqghhnuhdqvghmrggtshesghhnuhdrohhrghenucevlhhushhtvghrufhiiigvpedt
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 23.83.209.62
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

The colors on the second stanza are all messed up until near the end.

$ cat Makefile
bla:
	ho hum
scp:
	set -x -- $$(find * -type f -cmin -$${min-111}); for i do $${TEST+echo} scp $$i $J:$J/$$i; done
$ emacs Makefile
emacs-version "26.1"




Acknowledgement sent to 積丹尼 Dan Jacobson <jidanni@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#36245; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 27 Apr 2021 00:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.